
#include "TRandom.h"
#include "TDirectory.h"
#include "TProcessID.h"
#include "Riostream.h"

#include "DTagVVProc/MyDPhiRho0.h"


ClassImp(MyDPhiRho0)






//==========================================================
//
//  MyDPhiRho0
//
//==========================================================

//________________________________________________________________
MyDPhiRho0::MyDPhiRho0(const MyDPhiRho0 &orig) : MyParticle(orig)
{
  fPhi = new TRef;
  fRho0 = new TRef;
  MBC = orig.MBC;
  DeltaE = orig.DeltaE;
  // Copy a DPhiRho0 object
}







//________________________________________________________________
MyDPhiRho0::MyDPhiRho0() : MyParticle()
{
  // Create a MyDPhiRho0 object.
  fPhi = new TRef;
  fRho0 = new TRef;
}



//________________________________________________________________
MyDPhiRho0::~MyDPhiRho0() {
  delete fPhi; fPhi=0;
  delete fRho0; fRho0=0;
}




//________________________________________________________________
void MyDPhiRho0::Clear(Option_t *)
{
  MyParticle::Clear();
  delete fPhi; fPhi=0;
  delete fRho0; fRho0=0;
}



