
#include "TDirectory.h"
#include "TProcessID.h"
#include "Riostream.h"

#include "DTagVVProc/MyPhi.h"


ClassImp(MyPhi)

//==========================================================
//
//  MyPhi
//
//==========================================================
//MyPhi::MyPhi(const TString name, const int code) 
//  : MyParticle( name, code )
//{
//  // Create a MyPhi object.
//}


//________________________________________________________________
MyPhi::MyPhi() : MyParticle()
{
  // Create a MyPhi object.
  fKPlus = new TRef;   
  fKMinus = new TRef;   
}


//________________________________________________________________
MyPhi::MyPhi(const MyPhi &orig) : MyParticle(orig)
{
  fKPlus = new TRef;   
  fKMinus = new TRef;   
// Copy a Phi object
}



//________________________________________________________________
MyPhi::~MyPhi() {
  delete fKPlus; fKPlus=0;
  delete fKMinus; fKMinus=0;
}



//________________________________________________________________
void MyPhi::Clear(Option_t * )
{
  MyParticle::Clear();
  delete fKPlus; fKPlus=0;
  delete fKMinus; fKMinus=0;
}


